org.apache.lucene.analysis.core

## Class TypeTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.core.TypeTokenFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class TypeTokenFilter
      extends FilteringTokenFilter

  Removes tokens whose types appear in a set of blocked types from a token stream.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeTokenFilter(TokenStream input, Set<String> stopTypes)` Create a new `TypeTokenFilter` that filters tokens out (useWhiteList=false).
    `TypeTokenFilter(TokenStream input, Set<String> stopTypes, boolean useWhiteList)` Create a new `TypeTokenFilter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `accept()` By default accept the token if its type is not a stop type.

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeTokenFilter

          public TypeTokenFilter(TokenStream input,
                                 Set<String> stopTypes,
                                 boolean useWhiteList)

      Create a new `TypeTokenFilter`.
      Parameters:
        `input` - the `TokenStream` to consume
        `stopTypes` - the types to filter
        `useWhiteList` - if true, then tokens whose type is in stopTypes will be kept, otherwise they will be filtered out

    - #### TypeTokenFilter

          public TypeTokenFilter(TokenStream input,
                                 Set<String> stopTypes)

      Create a new `TypeTokenFilter` that filters tokens out (useWhiteList=false).

  - ### Method Detail

    - #### accept

          protected boolean accept()

      By default accept the token if its type is not a stop type. When the useWhiteList parameter is set to true then accept the token if its type is contained in the stopTypes
      Specified by:
        `accept` in class `FilteringTokenFilter`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.